#
# spec file for package kdepim-apps-libs
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdepim-apps-libs
Version:        16.08.2
Release:        1.1
Summary:        Base package of kdepim
License:        GPL-2.0 and GPL-2.0+ and LGPL-2.1+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Libraries
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-contact-devel = %{version}
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  grantlee5-devel
BuildRequires:  grantleetheme-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcontacts-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kservice-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  libkleo-devel
BuildRequires:  pimcommon-devel
BuildRequires:  pkgconfig(Qt5DBus) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains mail related libraries

%prep
%setup -q

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%package devel
Summary:        Mail related libraries
License:        LGPL-2.1+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       akonadi-server-devel
Requires:       grantlee5-devel

%description devel
The development package for the kdepim-apps-libs libraries

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/
%{_libdir}/cmake/KF5FollowupReminder/
%{_libdir}/cmake/KF5KaddressbookGrantlee/
%{_libdir}/cmake/KF5KdepimDBusInterfaces/
%{_libdir}/cmake/KF5SendLater/
%{_libdir}/libKF5FollowupReminder.so
%{_libdir}/libKF5KaddressbookGrantlee.so
%{_libdir}/libKF5KdepimDBusInterfaces.so
%{_libdir}/libKF5SendLater.so
%{_libdir}/qt5/mkspecs/modules/qt_FollowupReminder.pri
%{_libdir}/qt5/mkspecs/modules/qt_KaddressbookGrantlee.pri
%{_libdir}/qt5/mkspecs/modules/qt_KdepimDBusInterfaces.pri
%{_libdir}/qt5/mkspecs/modules/qt_SendLater.pri

%files
%defattr(-,root,root)
%{_kf5_configdir}/kdepim-apps-lib.categories
%{_libdir}/libKF5FollowupReminder.so.*
%{_libdir}/libKF5KaddressbookGrantlee.so.*
%{_libdir}/libKF5KdepimDBusInterfaces.so.*
%{_libdir}/libKF5SendLater.so.*

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Sat Jul 23 2016 wbauer@tmo.at
- Cleanup build requirements
- Add necessary requires to the devel package
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
